<?php
function filtraexamen($con, $examenes,$idperfileva,$idgrupofiltro,$valoredad,$valorsexo,$valorproc){
	$consulta1=mysqli_query($con, "SELECT * FROM filtro_examen WHERE idperfil=$idperfileva AND idgrupo=$idgrupofiltro");
	$cuentafiltro=mysql_num_rows($consulta1);
		
	if($cuentafiltro!=0){
		
		while($data=mysqli_fetch_array($consulta1)){
			switch 	($data['operacion']){
				case "<";
					if($data['parametro1']=="edad"){
						$operacion=($valoredad < $data['parametro2']) ? TRUE:FALSE;
					}
					break;
				case ">";
					if($data['parametro1']=="edad"){
						$operacion=($valoredad > $data['parametro2']) ? TRUE:FALSE;
					}
					break;
				case "=";
					if($data['parametro1']=="edad"){
						$operacion=($valoredad == $data['parametro2']) ? TRUE:FALSE;
					}
					if($data['parametro1']=="sexo"){
						$operacion=($valorsexo == $data['parametro2']) ? TRUE:FALSE;
					}
					if($data['parametro1']=="procedencia"){
						$operacion=($valorproc == $data['parametro2']) ? TRUE:FALSE;
					}
					break;
				case "!=";
					if($data['parametro1']=="edad"){
						$operacion=($valoredad != $data['parametro2']) ? TRUE:FALSE;
					}
					if($data['parametro1']=="sexo"){
						$operacion=($valorsexo != $data['parametro2']) ? TRUE:FALSE;
					}
					if($data['parametro1']=="procedencia"){
						$operacion=($valorproc != $data['parametro2']) ? TRUE:FALSE;
					}
					break;
			}
			if($operacion){	
				$arrayexamenes=explode(",",$examenes);
				//$arrayexamenes=$examenes;	
				if(in_array($data['idexamen'],$arrayexamenes)){
					$arrayexamenes=$arrayexamenes;
				}else{
					array_push($arrayexamenes,$data['idexamen']);
				}
				return implode(",",$arrayexamenes);
			}else{
				return $examenes;
			}
		}
	}else{
		return $examenes;
	}
}
/*include_once('../php_conexion.php');
header('Content-type: application/json; charset=utf-8');
$result = filtraexamen(array(2,3,4),1,5,41,"f","Cusco");
echo json_encode($result);*/


if (isset($_GET['perfil'])){
	$idpaciente=$_GET['idpaciente'];
	$perfil=$_GET['perfil'];
	$protocolo=$_GET['protocolo'];
	$tipo=$_GET['tipo'];
	
	include_once('../php_conexion.php');
	include_once('../Class/funciones.php');
	header('Content-type: application/json; charset=utf-8');
	//Iniciamos variable de resultado en array
	$result=array();
	//Consultas iniciales
	$querypaciente = mysqli_query($conexion, "SELECT * FROM principal_paciente WHERE id=$idpaciente");
	$queryperfileva = mysqli_query($conexion, "SELECT * FROM perfil_evaluacion WHERE idperfil=$perfil AND idprotocolo=$protocolo AND idtipo=$tipo ORDER BY id DESC LIMIT 1") or die ("ERROR EN QUERY".mysql_error());
	$contarperfil=mysqli_num_rows($queryperfileva);
	if($contarperfil==1)
	{
		$resultado=mysqli_fetch_array($queryperfileva);
		$datapac=mysqli_fetch_array($querypaciente);
		$result["medicina"]=filtraexamen($conexion, $resultado['medicina'],$resultado['id'],1,calculaedad($datapac['fechanac']),$datapac['sexo'],$datapac['pronac']);
		$result["auxiliares"]=filtraexamen($conexion, $resultado['auxiliares'],$resultado['id'],2,calculaedad($datapac['fechanac']),$datapac['sexo'],$datapac['pronac']);
		//$result["auxiliares"]=$resultado['auxiliares'];
		$result["imagenes"]=filtraexamen($conexion, $resultado['imagenes'],$resultado['id'],3,calculaedad($datapac['fechanac']),$datapac['sexo'],$datapac['pronac']);
		$result["laboratorio"]=filtraexamen($conexion, $resultado['laboratorio'],$resultado['id'],4,calculaedad($datapac['fechanac']),$datapac['sexo'],$datapac['pronac']);
		//$result["laboratorio"]=$resultado['laboratorio'];
		$result["vacunas"]=filtraexamen($conexion, $resultado['vacunas'],$resultado['id'],5,calculaedad($datapac['fechanac']),$datapac['sexo'],$datapac['pronac']);
		$result["otros"]=filtraexamen($conexion, $resultado['otros'],$resultado['id'],6,calculaedad($datapac['fechanac']),$datapac['sexo'],$datapac['pronac']);
		/*if($numrestriccion!=0){
			for($i=1;$i<=$numrestriccion;$i++){
				
			}
		}*/
		echo json_encode($result);
	}else{
		$result["error"]=2;
		$result["msg_error"]="Protocolo invalido, verifique protocolo";
		echo json_encode($result);
	}
	mysqli_close($conexion);
}else{
	echo "Acceso denegado";
}
/*include_once('../php_conexion.php');
	header('Content-type: application/json; charset=utf-8');
	//Iniciamos variable de resultado en array
	$result=array();
	//Consultas iniciales
	$query = mysql_query("SELECT * FROM principal_paciente WHERE numdoc='45841360' ORDER BY id DESC LIMIT 1") or die ("ERROR EN QUERY".mysql_error());
	$numpacientes = mysql_num_rows($query);	
		
		if($numpacientes!=0){
			$resultado=mysql_fetch_array($query);
			$qatencion=mysql_query("SELECT * FROM atencion_ocupacional WHERE idpaciente='".$resultado['id']."'");
			$numatencion = mysql_num_rows($qatencion);
			if($numatencion!=0){
				$result["error"]=2;
				$result["error_msg"]="Paciente ya tiene una atencion actualmente";
				echo json_encode($result);
			}else{
				$resultado['succes']=1;
				echo json_encode($resultado);
			}
		}else{
			$result["error"]=4;
			$result["error_msg"]="Paciente no registrado";
			echo json_encode($result);
		}
		mysql_close($conexion);*/
?>